Skip to Content
kosemdocs
ReferenceAPIService accounts

List service accounts in organization

Lists the service accounts an organization owns, without its projects'.

GET
/v1/organizations/{organization}/serviceAccounts

Lists the service accounts an organization owns, without its projects'.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

serviceAccounts*array<>

Service accounts, oldest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/serviceAccounts'
Example Response
{
  "nextPageToken": "string",
  "serviceAccounts": [
    {
      "accountId": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "displayName": "string",
      "name": "string",
      "state": "ACTIVE",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ]
}